Bug 229359 - devel/icu: update to 62.1
Summary: devel/icu: update to 62.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Jan Beich
URL:
Keywords: needs-qa, patch
Depends on: 227042
Blocks: 232300
  Show dependency treegraph
 
Reported: 2018-06-27 10:22 UTC by Jan Beich
Modified: 2018-10-15 21:52 UTC (History)
1 user (show)

See Also:
jbeich: exp-run?


Attachments
v1 (1.61 KB, patch)
2018-06-27 10:22 UTC, Jan Beich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Beich freebsd_committer 2018-06-27 10:22:43 UTC
Created attachment 194669 [details]
v1

+++ This bug was initially created as a clone of Bug #223373 +++

Firefox 63 (scheduled on 2018-10-22) may require ICU 62.1. In order to keep using system ICU while also benefiting from other changes let's update.

https://ssl.icu-project.org/repos/icu/tags/release-62-1/icu4c/APIChangeReport.html
https://abi-laboratory.pro/tracker/objects_report/icu4c/61_1/62_1/report.html

### /usr/local/etc/poudriere.d/PR229359-make.conf ###
OPTIONS_SET += ICU UNICODE
databases_sqlite3_UNSET += ICU
Comment 1 Jan Beich freebsd_committer 2018-06-29 14:17:55 UTC
Change of the plan. Having 2018Q3 stuck with 61.1 would increase MFH risk and complicate regression tracking. I've tested locally all (~120 total) consumers on 10.4 i386 and 11.1 amd64 with *default options*. As there was no fallout let's land and compare.

Thank you for the partial exp-run, anyway.
Comment 2 commit-hook freebsd_committer 2018-06-29 14:23:20 UTC
A commit references this bug:

Author: jbeich
Date: Fri Jun 29 14:22:31 UTC 2018
New revision: 473551
URL: https://svnweb.freebsd.org/changeset/ports/473551

Log:
  devel/icu: update to 62.1

  Changes:	http://site.icu-project.org/download/62
  ABI:		https://abi-laboratory.pro/tracker/timeline/icu4c/
  PR:		229359
  Exp-run by:	antoine (only 10.4)

Changes:
  head/archivers/unarchiver/Makefile
  head/audio/musicpd/Makefile
  head/audio/ncmpcpp/Makefile
  head/databases/clickhouse/Makefile
  head/databases/couchdb/Makefile
  head/databases/evolution-data-server/Makefile
  head/databases/firebird25-client/Makefile
  head/databases/firebird25-server/Makefile
  head/databases/kdb/Makefile
  head/databases/mysql80-client/Makefile
  head/databases/mysql80-server/Makefile
  head/databases/postgresql10-server/Makefile
  head/databases/postgresql96-server/Makefile
  head/databases/sqlite3/Makefile
  head/databases/tarantool/Makefile
  head/deskutils/bijiben/Makefile
  head/deskutils/calibre/Makefile
  head/deskutils/gnome-calendar/Makefile
  head/deskutils/gnome-todo/Makefile
  head/deskutils/orage/Makefile
  head/deskutils/osmo/Makefile
  head/devel/boost-libs/Makefile
  head/devel/dee/Makefile
  head/devel/glib20/Makefile
  head/devel/hs-text-icu/Makefile
  head/devel/icu/Makefile
  head/devel/icu/distinfo
  head/devel/icu/pkg-plist
  head/devel/icu-le-hb/Makefile
  head/devel/libical/Makefile
  head/devel/libzim/Makefile
  head/devel/objecthash/Makefile
  head/devel/pecl-intl/Makefile
  head/devel/php70-intl/Makefile
  head/devel/php71-intl/Makefile
  head/devel/php72-intl/Makefile
  head/devel/py-pyicu/Makefile
  head/devel/qt4-corelib/Makefile
  head/devel/qt5-core/Makefile
  head/dns/libpsl/Makefile
  head/editors/libreoffice/Makefile
  head/editors/poedit/Makefile
  head/finance/gnucash/Makefile
  head/games/0ad/Makefile
  head/games/an/Makefile
  head/games/liblcf/Makefile
  head/games/openttd/Makefile
  head/games/widelands/Makefile
  head/graphics/libcdr01/Makefile
  head/graphics/libfreehand/Makefile
  head/graphics/libzmf/Makefile
  head/graphics/maim/Makefile
  head/graphics/mapnik/Makefile
  head/graphics/openfx-arena/Makefile
  head/graphics/tesseract/Makefile
  head/irc/znc/Makefile
  head/java/openjfx8-devel/Makefile
  head/lang/gnustep-base/Makefile
  head/lang/parrot/Makefile
  head/lang/phantomjs/Makefile
  head/lang/spidermonkey38/Makefile
  head/lang/spidermonkey52/Makefile
  head/lang/swift/Makefile
  head/lang/v8-devel/Makefile
  head/mail/cyrus-imapd30/Makefile
  head/mail/dovecot/Makefile
  head/mail/dovecot22/Makefile
  head/mail/evolution/Makefile
  head/mail/evolution-ews/Makefile
  head/mail/postfix/Makefile
  head/mail/postfix-current/Makefile
  head/mail/rspamd/Makefile
  head/mail/rspamd-devel/Makefile
  head/mail/sendmail/Makefile
  head/mail/thunderbird/Makefile
  head/math/R/Makefile
  head/math/libqalculate/Makefile
  head/misc/sword/Makefile
  head/multimedia/aegisub/Makefile
  head/multimedia/subtitlecomposer-kde4/Makefile
  head/net/freerdp/Makefile
  head/net/openldap24-server/Makefile
  head/net/yaz/Makefile
  head/net/zebra-server/Makefile
  head/net-im/mastodon/Makefile
  head/news/tin/Makefile
  head/print/harfbuzz-icu/Makefile
  head/print/libmspub01/Makefile
  head/print/tex-xetex/Makefile
  head/print/texlive-base/Makefile
  head/security/certificate-transparency/Makefile
  head/sysutils/gdisk/Makefile
  head/sysutils/osquery/Makefile
  head/sysutils/tracker/Makefile
  head/textproc/R-cran-stringi/Makefile
  head/textproc/dwdiff/Makefile
  head/textproc/ibus-qt/Makefile
  head/textproc/libe-book/Makefile
  head/textproc/libqxp/Makefile
  head/textproc/libvisio01/Makefile
  head/textproc/raptor2/Makefile
  head/textproc/rubygem-charlock_holmes/Makefile
  head/textproc/zorba/Makefile
  head/www/chromium/Makefile
  head/www/cppcms/Makefile
  head/www/epiphany/Makefile
  head/www/firefox/Makefile
  head/www/firefox-esr/Makefile
  head/www/iridium/Makefile
  head/www/mod_pagespeed/Makefile
  head/www/node/Makefile
  head/www/node6/Makefile
  head/www/node8/Makefile
  head/www/palemoon/Makefile
  head/www/qt5-webkit/Makefile
  head/www/seamonkey/Makefile
  head/www/waterfox/Makefile
  head/www/webkit-gtk2/Makefile
  head/www/webkit-gtk3/Makefile
  head/www/webkit2-gtk3/Makefile
  head/x11/gnome-shell/Makefile
  head/x11/slop/Makefile
  head/x11-toolkits/gnustep-gui/Makefile
Comment 3 commit-hook freebsd_committer 2018-07-05 16:14:43 UTC
A commit references this bug:

Author: jbeich
Date: Thu Jul  5 16:13:50 UTC 2018
New revision: 473974
URL: https://svnweb.freebsd.org/changeset/ports/473974

Log:
  devel/icu: fix toLocaleLowerCase() after r473551

  PR:		229359
  Obtained from:	upstream (ICU 63.1)

Changes:
  head/devel/icu/Makefile
  head/devel/icu/files/patch-r41550
Comment 4 commit-hook freebsd_committer 2018-07-05 16:15:46 UTC
A commit references this bug:

Author: jbeich
Date: Thu Jul  5 16:14:57 UTC 2018
New revision: 473975
URL: https://svnweb.freebsd.org/changeset/ports/473975

Log:
  MFH: r473974

  devel/icu: fix toLocaleLowerCase() after r473551

  PR:		229359
  Obtained from:	upstream (ICU 63.1)
  Approved by:	ports-secteam blanket (required by Firefox and Chromium)

Changes:
_U  branches/2018Q3/
  branches/2018Q3/devel/icu/Makefile
  branches/2018Q3/devel/icu/files/patch-r41550